public class DadoTester {
    private static final int NUMERO = 6;
    private static final int NUM_DADOS = 4;
    public static void main(String args[]) {
        Dado d = new Dado(NUMERO);
        System.out.println("Dado con un " + NUMERO + ":\n" + d);
        System.out.println("Lanzo " + NUM_DADOS + " dados:");
        for (int i = 0; i < NUM_DADOS; i++) {
            d = new Dado();
            System.out.print(d);
        }
        System.out.println("Lanzo " + NUM_DADOS + " dados:");
        Dado[] arrayDados = new Dado[NUM_DADOS];
        for (Dado aD: arrayDados) { // d ya esta definida en el main
            aD = new Dado();
            System.out.print(aD);
        }
    }
}
